Package org.eclipse.ui.commands

# Interface ICommandManagerListener

@Deprecated public interface ICommandManagerListener
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ICommandManager`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  - `ICommandManager.addCommandManagerListener(ICommandManagerListener)`
  - `ICommandManager.removeCommandManagerListener(ICommandManagerListener)`
  - `ICommandManagerListener`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is scheduled for deletion.

## Method Summary

Modifier and Type
Method
Description
`void`
`commandManagerChanged(CommandManagerEvent commandManagerEvent)`
Deprecated.

## Method Details

### commandManagerChanged

@Deprecated void commandManagerChanged(CommandManagerEvent commandManagerEvent)
Deprecated.
Notifies that one or more properties of an instance of `ICommandManager` have changed. Specific details are described in the `CommandManagerEvent`.

Parameters:
  `commandManagerEvent` - the commandManager event. Guaranteed not to be `null`.